RP(3)

PACKAGE
rp - Routines to manage cryptographically strong random pools

PURPOSE
These routines are meant to provide management of cryptographically strong random pools of bytes. Partially random data (entropy) may be added and extracted from a pool. As data is added, the pool is stirred to randomly distribute the bits. Data extracted from a random pool may be used in the generation of unpredictable (secure) session keys for cryptographic algorithms.

LIBRARY
karma

LINK WITH
-lkarma

FUNCTIONS

rp_create
    Create a pool of random bytes.

rp_add_bytes
    Add bytes (entropy) to a random pool.

rp_get_bytes
    Get bytes of data from a random pool.

rp_destroy
    Destroy a random pool of bytes, erasing all information.

rp_destroy_all
    Destroy all randpools.

rp_add_time_noise
    Add time-based entropy to a randpool.

rp_register_destroy_func
    Register randpool destroy callback.

rp_PROTO_hash_func
    Hash callback.

rp_PROTO_destroy_func
    Destroy callback.

AUTHOR
Richard Gooch (rgooch@atnf.csiro.au)

AVAILABLITY
The Karma Distribution is available for anonymous ftp from: ftp://ftp.atnf.csiro.au/pub/software/karma/ ftp://wuarchive.wustl.edu/graphics/graphics/packages/karma/ ftp://ftp.pwr.wroc.pl/pub/karma/ The Karma Home Page is: http://www.atnf.csiro.au/karma/